/*************************************************************************
 *
 *  OpenOffice.org - a multi-platform office productivity suite
 *
 *  $RCSfile: WaitForInput.java,v $
 *
 *  $Revision: 1.3 $
 *
 *  last change: $Author: rt $ $Date: 2005/09/07 20:12:00 $
 *
 *  The Contents of this file are made available subject to
 *  the terms of GNU Lesser General Public License Version 2.1.
 *
 *
 *    GNU Lesser General Public License Version 2.1
 *    =============================================
 *    Copyright 2005 by Sun Microsystems, Inc.
 *    901 San Antonio Road, Palo Alto, CA 94303, USA
 *
 *    This library is free software; you can redistribute it and/or
 *    modify it under the terms of the GNU Lesser General Public
 *    License version 2.1, as published by the Free Software Foundation.
 *
 *    This library is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *    Lesser General Public License for more details.
 *
 *    You should have received a copy of the GNU Lesser General Public
 *    License along with this library; if not, write to the Free Software
 *    Foundation, Inc., 59 Temple Place, Suite 330, Boston,
 *    MA  02111-1307  USA
 *
 ************************************************************************/
class WaitForInput extends java.lang.Thread
{
	private Object		m_aToNotify;
	private boolean		m_bDone;

	public WaitForInput( Object aToNotify )
	{
		m_aToNotify = aToNotify;
		m_bDone = false;
	}

	public boolean isDone()
	{
		return m_bDone;
	}

	public void run()
	{
		try
		{
			System.out.println( "\npress 'enter' to exit demo" );
            System.in.read();

			m_bDone = true;
			// notify that the user pressed the key
			synchronized (m_aToNotify)
			{
				m_aToNotify.notify();
			}
		}
		catch( java.lang.Exception e )
		{
			// not really interested in
			System.err.println( e );
		}
	}
};

